RNV(1)

NAME
rnv - Relax NG Compact Syntax validator

SYNOPSIS
rnv [OPTIONS] grammar.rnc [document_1.xml ..]

DESCRIPTION
RNV uses Relax NG compact syntax schemas to check if a give XML file is valid in respect to the language defined by the Relax NG schema. RNV uses Expat for XML parsing. If you intend to validate against Relax NG schemas in XML syntax instead have a look at xmllint (of libxml2) or xmlstarlet. Also trang can convert Relax NG schemas from XML to compact syntax and back.

OPTIONS
If no documents are specified, RNV attempts to read the XML document from the standard input. The options are:

-q  names of files being processed are not printed; in error messages, expected elements and attributes are not listed;

-n number
    sets the maximum number of reported expected elements and attributes, -q sets this to 0 and can be overriden;

-p  copies the input to the output;

-c  if the only argument is a grammar, checks the grammar and exits;

-s  uses less memory and runs slower;

-e library.scm
    uses Scheme datatype library from file library.scm;

-v  prints version number;

-h  displays usage summary and exits.

HOMEPAGE
http://sourceforge.net/projects/rnv/

AUTHOR
Sebastian Pipping <webmaster@hartwork.org>. This man page was made from the readme written by RNV's author David Tolpin <dvd@davidashen.net>.

SEE ALSO
xmllint(1), xmlstarlet(1), trang(1)